Package com.macrofocus.high_d.parallelcoordinatesmatrix

# Class AbstractParallelCoordinatesMatrix<Component,Color,R,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrix<Component,Color,R,C>

All Implemented Interfaces:
  `ParallelCoordinatesMatrix<Component,Color,R,C>`

Direct Known Subclasses:
  `JavaFXParallelCoordinatesMatrix`

public abstract class AbstractParallelCoordinatesMatrix<Component,Color,R,C> extends Object implements ParallelCoordinatesMatrix<Component,Color,R,C>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ParallelCoordinatesMatrixController`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected ParallelCoordinatesMatrixView<Component,Color>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinatesMatrix()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ParallelCoordinatesMatrixModel`
  `createParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract ParallelCoordinatesMatrixView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `ParallelCoordinatesMatrixModel`
  `getModel()`
  Returns the model used by the scatter plot component.
  `ParallelCoordinatesMatrixView<Component,Color>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of ParallelCoordinatesMatrix.
  `void`
  `setModel(ParallelCoordinatesMatrixModel model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(ParallelCoordinatesMatrixView<Component,Color> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinatesmatrix.ParallelCoordinatesMatrix

  `getNativeComponent`

- ## Field Details

  - ### licenseModel

    protected static LicenseModel licenseModel

  - ### view

    protected ParallelCoordinatesMatrixView<Component,Color> view

  - ### controller

    protected ParallelCoordinatesMatrixController controller

- ## Constructor Details

  - ### AbstractParallelCoordinatesMatrix

    public AbstractParallelCoordinatesMatrix()

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of ParallelCoordinatesMatrix. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### getModel

    public ParallelCoordinatesMatrixModel getModel()
    Returns the model used by the scatter plot component.
    Returns:
      the model in use

  - ### setModel

    public void setModel(ParallelCoordinatesMatrixModel model)
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `ParallelCoordinatesMatrix<Component,Color,R,C>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public ParallelCoordinatesMatrixView<Component,Color> getView()
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `ParallelCoordinatesMatrix<Component,Color,R,C>`
    Returns:
      the view in use

  - ### setView

    public void setView(ParallelCoordinatesMatrixView<Component,Color> view)
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Parameters:
      `view` - the view to be used

  - ### createParallelCoordinatesMatrixModel

    protected abstract ParallelCoordinatesMatrixModel createParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected abstract ParallelCoordinatesMatrixView createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a ParallelCoordinatesView instance